.Cart {
    &__products-table {
        width: 100%;

        thead {
            display: none;

            @include query(md) {
                display: table-header-group;
            }

            tr {
                border-bottom: 1px solid theme('colors.grayBorder');

                th {
                    font-weight: 400;
                    padding: 15px 0;
                    text-align: left;
                    text-transform: uppercase;

                    @include query(md) {
                        padding: 20px;
                    }
                }
            }
        }

        tbody {
            tr {
                border-bottom: 1px solid theme('colors.grayBorder');

                &:last-of-type {
                    border-bottom: none;
                }

                td {
                    &.product-price,
                    &.product-subtotal {
                        font-weight: 700;
                    }

                    &.product-price {
                        display: none;

                        @include query(md) {
                            display: table-cell;
                        }
                    }

                    &.product-name,
                    &.product-quantity,
                    &.product-subtotal {
                        float: left;
                        padding: 10px 0;
                        width: 100%;

                        @include query(md) {
                            float: none;
                            padding: 20px;
                        }
                    }

                    &.product-thumbnail {
                        width: 150px;
                        padding: 0 20px;

                        img {
                            max-width: 100px;
                        }

                        @include query(md) {
                            padding: 20px;
                            width: 200px;

                            img {
                                max-width: 150px;
                            }
                        }
                    }
                }
            }
        }
    }

    &__actions {
        align-items: flex-start;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding-top: 30px;

        button {
            margin-top: 20px;
        }

        @include query(md) {
            align-items: center;
            flex-direction: row;

            button {
                margin-top: 0;
            }
        }
    }

    &__collaterals {
        display: flex;
        flex-direction: column;
        margin-top: 100px;

        .cross-sells {
            order: 2;

            h2 {
                margin-bottom: 30px;
            }
        }
    }

    &__totals {
        margin-bottom: 100px;
        order: 1;

        @include query(lg) {
            padding-left: 60%;
        }

        ul {
            li {
                align-items: center;
                display: flex;
                list-style: none;

                label {
                    margin-left: 10px;
                }
            }
        }

        h2 {
            border-bottom: 1px solid theme('colors.grayBorder');
            color: #888;
            @include fontSize(14);
            font-weight: 400;
            margin-bottom: 30px;
            padding-bottom: 30px;
            text-transform: uppercase;
        }

        table {
            margin-bottom: 50px;

            tbody {
                tr {
                    th,
                    td {
                        padding: 20px 0;
                    }

                    th {
                        text-align: left;
                        vertical-align: top;
                        width: 150px;
                    }
                }
            }
        }
    }
}
